## Agenda

|       |                      Topic                      |                           Speaker                            |                          Materials                           |
| :---: | :---------------------------------------------: | :----------------------------------------------------------: | :----------------------------------------------------------: |
| 14:00 |                    Welcoming                    |              Andreas Urlich, TDL Steering Group              |                                                              |
| 14:15 |          Introduction/Tutorial to TDL           |        Philip Makedonski, TDL Open Source Leadership         | [Slides](https://tdl.etsi.org/uploads/TDL_Workshop_2018_PM.pdf) |
| 14:45 | Presentation of TOP and current available tools |          Martti Kaarik, TDL Open Source Leadership           |                                                              |
| 15:15 |                      BREAK                      |                                                              |                                                              |
| 15:30 |        Current usage inside/outside ETSI        |                                                              |                                                              |
| 15:35 |             Usage of TDL in MTS TST             |              Axel Rennoch, MTS-TST WG Chairman               |    [Slides](https://tdl.etsi.org/uploads/TDL4TST_AR.pdf)     |
| 15:45 |        Usage of TDL in ETSI CTI projects        | Sebastian Mueller, ETSI Center for Testing and Interoperability | [Slides](https://tdl.etsi.org/uploads/UPDATE_TDL_TO_USAGE_SM.ppt) |
| 16:00 | Needs for the community for future development  |                                                              |                                                              |
| 16:45 |               Wrap up/Next steps                |                                                              |                                                              |

## Notes

1. Welcoming from Andreas Ulrich

1. Round table of presentations
   - In the room: Philip, Martti, Dirk, Axel, André, Sascha, Yens, Alexander Kaiser, Sebastian, Alex, Michele
   - Remote: Finn, Bostjan, Andreas, Gary, Eric, Jan
2. Overview on TDL and Latest from standardization (Philip)
3. Q&A
   - Jan: Open Source project, is there a grammar available?
     - Philip: The implementation is based on Xtext, it is published in the repository. Also there is a BNF grammar in the Annex of the Metamodel Standards
     - Martti: The Xtext grammar is for the informative textual grammar but what is normatively specified is the Meta Model
4. TOP Tooling (Martti)
   - Installation information are available at https://labs.etsi.org/rep/top/ide
5. Q&A
   - Andreas: We do have full implementation of the language and is available to everyone via the links pasted in the chat and 
6. Discussion on applications of TDL:
   - The results from the Survey on TDL were presented
   - Andreas: is there a need for participants on UML integration?
     - No comments provided

### Open discussion on TDL and TOP

#### Discussion on TDL language

- Andreas: Reported experiences focus on TDL-TO. Have you - TDL-TO users- tried other approaches? How does it relate?
  - Axel: I used Tplan in the past. Feels quite similar.
  - Jens: In our application domain we did not have an internal testing framework for SW. 
- Philip: Quite a lot of interest in TDL-TO but not much interest in TDL. Could you elaborate on why is that so? TDL too big? Too foreign? TDL-TO more familiar?
  - Axel: Coming from INT work, the methodology is composed by TPs and TTCN3 code. TP languages seem lightweight and are complementary to TTCN3. 
  - Sebastian:We do see the use of TDL as somehow overlapping with TTCN3. We could not see advantages of TDL over TTNC3. ETSI CTI will keep evaluating TDL and maybe Interoperaility Testing could be a valuable application.
  - Andreas: I think there are abstract TDL features which are handy, we may need to focus more on the translation features of TDL to TTCN3
- Philip: The implementation of tools translating from TDL to TTCN3 is still in the pipe and we do not have detailed plans at the moment. The level and quality of expertise required is not easy to meet. 
- Andreas: Looking back at the results from the Survey, there seems to be the need to provide translation to more than just TTCN3, therefore some flexibility in the mapping may be needed.
- Philip: The intention of the TDL to TTCN3 was to show the way on the possibility to translate into executable languages. May be the case to extend documentation (e.g. on the wiki) on the goal and methodology to enable third parties to develop their own translators.
- Andreas: Important to support the community and the request for the users.
- Philip: The users are invited to share their experiences/materials on the wiki.
- Michele: My proposal Use the bugzilla as much as possible so that to keep any feedback
- Andres: Better documentation should be provided on the wiki/website
- Dirk: Maybe a Forum can be easier and enable search engines to track information (as it is done in TTCN3)

- Reported issues:
  - Group element could not be used
  - defining constants (#14)
  - issue11 - Configuration connection cannot be resolved 
  - issue10 - Group does not work (references to the domain elements not found) 
  - issue12 - NOT keyword required 
  - issue13 - WORD conversion 
  - issue14 - how to define a constant? entity keyword not required containing semi colons; use meaningful tabulation Test Config : make the gate /PDU declaration optional mix of upper and lower case. why?

#### Discussion on TDL language

- Reported issues:
  - no distinction among literals/content and package definition references (event, entity, pics)
  - Possible way to include comments into word export (e.g. under final condition)
  - Configuration connection not resolver (#11)
  - Group does not work (#10)
  - NOT keyword (#12)
  - (#13)
  - entity keyword not required
  - Q: containing semi colons ; use meaningful tabulation
    - A: needs to be further evaluated
  - test config: make the gate / PDU declaration optional
  - mix of upper and lower case. why?

- Michele: Important to lower the barrier for developers and allow the possiblity to host/link other tools/projects. Is there anybody interested in developing TDL tools?
- Philip: As said before, the level of expertise required is a difficulty to onboard contributors
- Andreas: Better documentation on the website could help.
- Andreas: What are the expectations/intentions from newcomers? (participants who are not TDL users).

#### Providing more documentation

- Advertise a link to the TP created in MTS TST should be referenced on TDL website
- TDL team is asked to provide examples as well