# Welcome to TOP - TDL Open source Project!

The TDL Open Source Project (TOP) fosters the shared development and testing of contributed tools to manage TDL files, generate documentation and code.

The project is an initiative of ETSI TC MTS – the ETSI committee that standardizes methods for testing and specification. 

[Subscribe here](https://tdl.etsi.org/index.php/contact) to the TDL public mailing list to keep in touch with TDL community, receive news and find support on the TDL public mailing list.

## Quick links

<big>
<table style="width:100%">
<tr>
<td>

**Discover the project**

* [[Governance | Project Governance]]
* [[Legal framework]]
* [[Learn about TDL]] 

</td>
<td>

**Users**

* [[Installation]]
* [[Usage]]

</td>
<td>

**Developers**

* [[How to contribute]]

</td>
</tr>
</table>

</big>

## Meetings

[[1st TDL Open Source Meeting]] 

## Software

### TDL Open Source Implementation

To accelerate the adoption of TDL, TC MTS has commissioned an open source implementation of TDL in order to lower the barrier to entry for both users and tool vendors in getting started with using TDL. The open source implementation comprises graphical and textual editors, validation facilities, as well as a UML profile for TDL to enable the application of TDL in UML-based working environments.  It will be made available later in 2017 as an ETSI open source software project accessible from the TDL website and enabling contributions from the community.

The open source implementation is based on the Eclipse XText toolset to provide a set of Java libraries and Eclipse plugins to support development of TDL specifications.

### How to contribute  

Are you a test designer, a test developer or a tool vendor? Your contribution is most welcome! Active contributions to the TDL standardisation require an ETSI membership. Any interested company can find how to become an ETSI member here. 

The TOP source base is openly accessible. Its usage is governed by the Eclipse Public License (EPLv1). A source code contribution to TOP (merge request) requires adhering to EPLv1 and signing a Contributor Agreement between the developer and ETSI TC MTS beforehand. Find out more about TOP governance on the Governance wiki page.
Find out more information on how to contribute here.
